com.mysql.cj.xdevapi

## Class Expression

- java.lang.Object
- - com.mysql.cj.xdevapi.Expression

    public class Expression
    extends Object

A wrapper for expression strings. Used as parameters values e.g.: `set("b", Expression.expr("a + 1"))`.

### Field Summary

Fields
`private String` `expressionString`

### Constructor Summary

Constructors
`Expression(String expressionString)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Expression` `expr(String expressionString)` Static method for static import to allow: `set("b", expr("a + 1"))`
`String` `getExpressionString()` Get the string form of this expression

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### expressionString

    private String expressionString

### Constructor Detail

#### Expression

    public Expression(String expressionString)

### Method Detail

#### getExpressionString

    public String getExpressionString()

Get the string form of this expression

Returns:
  expression string

#### expr

    public static Expression expr(String expressionString)

Static method for static import to allow: `set("b", expr("a + 1"))`

Parameters:
  `expressionString` - expression string
Returns:
  `Expression`

Copyright © 2016, 2026, Oracle and/or its affiliates.